<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   $id_reg =$_POST['id_regalia'];
   echo"$id_reg";
   $qa = "SELECT id_regs,inversionista_id_inver, cantidad, impuestos, pagar, idci, fechai, rfc FROM regs WHERE id_regs = '".$id_reg."'";
  $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
  while($ra = mysql_fetch_row($ca))
   {
	   $reg_id = $ra[0];
	   $reg_inv = $ra[1];
	   $reg_cant = $ra[2];
	   $reg_imp = $ra[3];
	   $reg_pag = $ra[4];
	   $reg_cd = $ra[5];
	   $reg_fecha = $ra[6];
	   $reg_rfc= $ra[7];
	   
	     
	};
	$qp = "SELECT nombre,appat, apmat FROM inversionista WHERE id_inver = '".$reg_inv."'";
  $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
  while($rp = mysql_fetch_row($cp))
   {
	   $nombre = $rp[0];
	     $apellidop = $rp[1];
		   $apellidom = $rp[2];
	
	     
	};
	$qp2 = "SELECT centros.lugar from centros, usuarios_ci where centros.idcd=usuarios_ci.centros_idcd and idusuarios_ci=".$reg_cd."";
  $cp2 = mysql_query($qp2) or die ('Error (Registro No Encontrado): ' . mysql_error());
  while($rp2 = mysql_fetch_row($cp2))
   {
	   $centro = $rp2[0];
	     
	     
	};
  
	echo"A continuacion se registratara en el sistema el pago de la regalia siguiente<br><br>

	Al RFC:<b> $reg_rfc</b><br>
	Nombre:<b> $nombre $apellidop $apellidom </b><br>
	fecha de alta:<b> $reg_fecha</b><br>
	Cantidad:<b> $ $reg_cant</b><br>
	Impuestos:<b> $ $reg_imp</b><br>
	Total:<b> $ $reg_pag</b><br>
	A pagar en:<b> $centro</b><br>
	
	
	"	;
echo "
		   
			
			<form name=\"pagale\" action=\"reciboregs.php\" method=\"post\">
			Forma de pago: <select name = \"pago\">
			<option value=\"1\">Efectivo</option>
			<option value=\"2\">Deposito a cuenta</option>
			<option value=\"3\">Transferencia Electronica</option>
			<option value=\"4\">A cuenta de pagare</option>
			<option value=\"5\">A cambio de producto</option></select>
			<br><br>
			<input type=hidden name=r_id value=$reg_id>
			<input type=hidden name=r_idinv value=$reg_inv>
			<input type=hidden name=r_rfc value=$reg_rfc>
				<input type=hidden name=r_nombre value=$nombre>
				<input type=hidden name=r_apellidop value=$apellidop>
				<input type=hidden name=r_apellidom value=$apellidom>
				<input type=hidden name=r_cant value=$reg_cant>
				<input type=hidden name=r_imp value=$reg_imp>
				<input type=hidden name=r_pag value=$reg_pag>
				<input type=hidden name=r_centro value=$centro>
				<input type=hidden name=r_fecha value=$reg_fecha>
				<input type=\"submit\" value=\"Pagar e imprimir recibo\" name=\"a_pagar\">
				
		 	</form>";


   
   
?>
